felix-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Felix Meschberger (JIRA)" <j...@apache.org>
Subject [jira] Resolved: (FELIX-2244) Bundles Printer fails when imports contains range.
Date Sat, 03 Apr 2010 09:57:27 GMT

     [ https://issues.apache.org/jira/browse/FELIX-2244?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel

Felix Meschberger resolved FELIX-2244.

       Resolution: Fixed
    Fix Version/s: webconsole-3.0.2
         Assignee: Felix Meschberger

Fixed in Rev. 930501 by assuming a VersionRange instead of a Version for the Import-Package
header version attribute.

Note: I use the VersionRange implementation from the framework bundle because the implementation
from the utils library has a dependency on Java 1.4 by using regular expression API.

> Bundles Printer fails when imports contains range.
> --------------------------------------------------
>                 Key: FELIX-2244
>                 URL: https://issues.apache.org/jira/browse/FELIX-2244
>             Project: Felix
>          Issue Type: Bug
>          Components: Web Console
>    Affects Versions: webconsole-3.0.0
>            Reporter: Valentin Valchev
>            Assignee: Felix Meschberger
>             Fix For: webconsole-3.0.2
> When a bundle contains import like that:
> org.apache.felix.webconsole;version="[3.0,4.0)"
> The bundles printer will throw exception because the parsing code in method:
> private boolean isSatisfied( Clause imported, ExportedPackage exported )
> always expects that the version is single version and not a range.
> In that case an exception is thrown an no information about the package is shown.

This message is automatically generated by JIRA.
You can reply to this email to add a comment to the issue online.

View raw message